/*
 * Use break 13 syscall.
 * See gdb/sim/cris/traps.c:cris_break_13_handler()
 * (syscall_map)
 */

#define SYS_exit  1
#define SYS_read  3
#define SYS_write 4
#define SYS_open  5
#define SYS_close 6

	.section .text

	.globl	_start
	.type	_start, @function
_start:
	move.d	_estack, sp
	jsr	_main
	nop
	moveq	0, r10
	/* fall through */

	.globl	___exit
	.type	___exit, @function
___exit:
	moveq	SYS_exit, r9
	break	13
	ret
	nop

	.globl	___read
	.type	___read, @function
___read:
	moveq	SYS_read, r9
	break	13
	ret
	nop

	.globl	___write
	.type	___write, @function
___write:
	moveq	SYS_write, r9
	break	13
	ret
	nop

	.globl	___open
	.type	___open, @function
___open:
	moveq	SYS_open, r9
	break	13
	ret
	nop

	.globl	___close
	.type	___close, @function
___close:
	moveq	SYS_close, r9
	break	13
	ret
	nop
