#include "syscall.h"

int data_value = 1;
int bss_value;

#ifdef USE_SYSCALL_WRAPPER
void __exit(int status)
{
  __r_exit(0, status);
}
int __read(int fd, void *buffer, int size)
{
  return __r_read(0, fd, buffer, size);
}
int __write(int fd, const void *buffer, int size)
{
  return __r_write(0, fd, buffer, size);
}
int __open(const char *path, int flags, int mode)
{
  return __r_open(0, path, flags, mode);
}
int __close(int fd)
{
  return __r_close(0, fd);
}
#endif

void exit(int status)
{
  __exit(status);
}

int write1(unsigned char c)
{
  return __write(1, &c, 1);
}

int putchar(int c)
{
  write1(c);
  return c;
}

int puts(char *str)
{
  for (; *str; str++)
    putchar(*str);
  return 0;
}

int main()
{
  puts("Hello World!\n");
  puts("This architecture is " ARCH "\n");
  exit(0);
}
